User V4
Update user calendar sync provider
Updates the calendar sync provider settings for a specific user. Only company admins can update calendar sync settings. The calendar sync provider determines which calendar service (Google, Outlook, iCloud, CalDAV, Exchange, Nextcloud, SmartWe) is used to sync the user’s availability and create calendar events for bookings. Provide the calendar connection ID and provider type to set the sync provider.
PATCH
/
v4
/
user
/
{id}
/
calendar-sync
Update user calendar sync provider
curl --request PATCH \
--url https://api.meetergo.com/v4/user/{id}/calendar-sync \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"calendarSyncProviders": {
"id": "<string>"
},
"id": "<string>"
}
'import requests
url = "https://api.meetergo.com/v4/user/{id}/calendar-sync"
payload = {
"calendarSyncProviders": { "id": "<string>" },
"id": "<string>"
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({calendarSyncProviders: {id: '<string>'}, id: '<string>'})
};
fetch('https://api.meetergo.com/v4/user/{id}/calendar-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/user/{id}/calendar-sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'calendarSyncProviders' => [
'id' => '<string>'
],
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/user/{id}/calendar-sync"
payload := strings.NewReader("{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/v4/user/{id}/calendar-sync")
.header("x-meetergo-api-user-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/user/{id}/calendar-sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
Path Parameters
Body
application/json
Response
Calendar sync provider updated successfully
⌘I
Update user calendar sync provider
curl --request PATCH \
--url https://api.meetergo.com/v4/user/{id}/calendar-sync \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"calendarSyncProviders": {
"id": "<string>"
},
"id": "<string>"
}
'import requests
url = "https://api.meetergo.com/v4/user/{id}/calendar-sync"
payload = {
"calendarSyncProviders": { "id": "<string>" },
"id": "<string>"
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({calendarSyncProviders: {id: '<string>'}, id: '<string>'})
};
fetch('https://api.meetergo.com/v4/user/{id}/calendar-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/user/{id}/calendar-sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'calendarSyncProviders' => [
'id' => '<string>'
],
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/user/{id}/calendar-sync"
payload := strings.NewReader("{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/v4/user/{id}/calendar-sync")
.header("x-meetergo-api-user-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/user/{id}/calendar-sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"calendarSyncProviders\": {\n \"id\": \"<string>\"\n },\n \"id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}